flags = commandArgs(T)
if (length(flags) < 3 || !file.exists(flags[2]) || !file.exists(flags[3])) stop("Input files not properly specified.")
fstub = flags[1]
empp.file = flags[2]
perm.file = flags[3]

empp.dat = read.table(empp.file, header=T, stringsAsFactors=F)
perm.dat = read.table(perm.file, header=T, stringsAsFactors=F)

png(paste(fstub, "distplot.png", sep="."), 2000, 1000)
par(mfcol=c(1,dim(empp.dat)[1]))
for (i in 1:dim(empp.dat)[1]) {
  dat.vec = as.numeric(perm.dat[,empp.dat$Geneset[i]])
  obs = empp.dat$sumlogReal[i]
  x.lim = c(min(dat.vec, obs), max(dat.vec, obs))
  hist(dat.vec, breaks=50, xlim=x.lim, main=empp.dat$Geneset[i], xlab = "sumlog values", cex.main=1.8, cex.lab=1.5, col="lightgrey")
  abline(v=obs, col="red", lty=2, cex=2, lwd=3)  
}
invisible(dev.off())

