if [[ $1 == "" ]]; then FSTUB=step2; else FSTUB=$1; fi

echo "Making QQ-plot: all snps..." 
awk 'NR>1 {print $2, $9}' ${FSTUB}.results.P1.assoc > .tmp${FSTUB}
Rscript --no-save qqplot.r $FSTUB allsnps

ANNOT=`dir *.allgenes.annot | awk 'BEGIN{FS="."}NR==1{print $1}'`
for GS in `awk '{arr[$3]} END{for (i in arr) print i}' ${ANNOT}.set.annot`; do
	echo "Making QQ-plot: gene-set = ${GS}..." 
	awk -v GS=$GS 'NR==FNR && $3==GS {arr[$1]; next} FNR>1 && $2 in arr {print $2, $9}' ${ANNOT}.set.annot ${FSTUB}.results.P1.assoc > .tmp${FSTUB}
	Rscript --no-save qqplot.r $FSTUB $GS	
done

rm .tmp${FSTUB}

echo "Making distribution plots..." 
EMPPFILE=${FSTUB}.P1.empp
for FILE in `dir -t step2.*.perm`; do PERMFILE=$FILE; break; done

Rscript --no-save distplot.r $FSTUB $EMPPFILE $PERMFILE

